<?php

// receive post ajax call to save large data array
// can get perf or newperf
// both are json type files -> default.perf
// newperf must check for existing

include_once("config.php");

$perf = "";
$response = "";

// triggered from admin bs_cumulus_check_files- used for proper rename of files
function cleanFileName($filename) {
	$filename = str_replace(" ", "_", $filename);
	$filename = str_replace("%20", "_", $filename);
	// use only ascii
	$filename = utf8_decode($filename);
	$filename = htmlspecialchars($filename);
	$filename = str_replace("?", "", $filename);
	$filename = str_replace("'", "", $filename);
	$filename = str_replace('"', "", $filename);
	return $filename;
}

if(isset($_POST['newperf'])) {
	// check if file exists
	$filename = cleanFileName($_POST['newperf']);
	$file = $logdir.'/'.$filename;
	if(file_exists($file)) {
		echo " Filename exists! Exiting...";
		exit;	
	}
	// if ok:
	$perf = $filename;
	
}
// check GET and POST
if(isset($_REQUEST['perf'])) { 
	$perf = $_REQUEST['perf'];
}


if($perf=="") {
	echo " No performance defined...";
	exit;	
}

if(!isset($_POST['perfdata'])) {
	$response="No data sent";	
	exit;	
}

if($perf && $_POST['perfdata']) {

 	// just in case 
	$filename = cleanFileName($perf);
	if(!preg_match('/\.perf/', $filename)) $filename = $filename.".perf"; 

	// save data array as json - php encode
	$content = json_encode($_POST['perfdata']);

	$this_dir = $logdir.'/';
	$mode="w"; // overwrite whole file
	// Set perms with chmod()
	if(!is_writable($this_dir.$filename)) chmod($this_dir.$filename, 0755);		
	if(file_exists($this_dir)) {
		if(@chdir($this_dir)) {
			$handle=opendir(".");
			if($content && $fp=fopen($filename, $mode) ){
				fwrite($fp,$content);
				fclose($fp);
			} else $response="Could not open the file for writing";
			// get back to current php __FILE__ 
			@chdir(dirname( __FILE__ ));
		}	
	}	
} else $response="Data was empty";

// return something good or bad
echo $response;	

exit;	
