<?php
/*
- receive get ajax call to check for saved performances
- on load / or on Setts tab click load all recent txt or json files from performances folder
- if a performance already selected -> select it here also
- outputs a options list to select from
chmod("/somedir/somefile", 0755);  // octal; correct value of mode
*/

include_once("config.php");

$files = array();
$fstamps = array();
$this_dir = $logdir.'/';
$this_dir = str_replace("//","/", $this_dir);
$handle=opendir($this_dir);
while($file=readdir($handle)) {
	if (is_file($this_dir.$file) && preg_match('/\.perf/i', $file)){
		// Set perms with chmod()
		if(!is_writable($this_dir.$file)) chmod($this_dir.$file, 0755);		
		$fstamp = @filemtime($this_dir.$file);
		while(in_array($fstamp, $fstamps)) {
			$fstamp = $fstamp + 1; 
		}
		$fstamps[] = $fstamp;
		$files[$fstamp] = $file;
	}
}
closedir($handle);

// sort by date modified descending
//arrange by date=name->argument desc->reverse
krsort($files);
		
$code = "";
if(sizeof($files)){
	$code = json_encode(array_flip($files));
}

// print 
echo $code;

exit;
