<?php
/*
- receive get ajax call to check for saved performances
- on load / or on Setts tab click load all recent txt or json files from performances folder
- if a performance already selected -> select it here also
- outputs a options list to select from
chmod("/somedir/somefile", 0755);  // octal; correct value of mode
*/

include_once("config.php");

$files = array();
$fstamps = array();
$this_dir = $logdir.'/';
$this_dir = str_replace("//","/", $this_dir);
$handle=opendir($this_dir);
while($file=readdir($handle)) {
	if (is_file($this_dir.$file) && preg_match('/\.perf/i', $file)){
		// Set perms with chmod()
		if(!is_writable($this_dir.$file)) chmod($this_dir.$file, 0755);		
		$fstamp = @filemtime($this_dir.$file);
		while(in_array($fstamp, $fstamps)) {
			$fstamp = $fstamp + 1; 
		}
		$fstamps[] = $fstamp;
		$files[$fstamp] = $file;
	}
}
closedir($handle);
//print_r($files);

// rather sort by date modified descending
//arrange by date=name->argument desc->reverse
krsort($files);
//print_r($files);
		
$code = "";
if(sizeof($files)){
	foreach($files AS $ftime=>$perfile){
		$pername = str_replace(".perf", "", $perfile);
		$sel="";
		// check $_GET['perf'] called via ajax
		if (isset($_GET['perf']) && $_GET['perf']==$perfile)	 $sel = "selected";
		$today = date("Y-m-d");
		if($today == date("Y-m-d", $ftime)) $date = "today at ".date("h:i:s", $ftime)."";
		else $date = date("Y-m-d h:i:s", $ftime);		
		$code .= "<option value=\"".$perfile."\" ".$sel.">".$pername." [".$date."]</option>";
	}
} else $code .= "<option>No performance</option>";	

// print 
echo $code;

exit;
